#
#  AlarmSendSMS.py
#
#  Sends an SMS via txtlocal when pulling pin 18 LOW
#
#  Written by Daniel Raines Communications on 18/04/2019
#  http://DanielRaines.com | https://BreeCS.com
#

import RPi.GPIO as GPIO
import time
import urllib.request
import urllib.parse

GPIO.setmode(GPIO.BCM)
GPIO.setwarnings(False)
GPIO.setup(18, GPIO.IN, GPIO.PUD_UP)

def sendSMS(apikey, numbers, sender, message):
    data =  urllib.parse.urlencode({'apikey': apikey, 'numbers': numbers, 'message' : message, 'sender': sender})
    data = data.encode('utf-8')
    request = urllib.request.Request("https://api.txtlocal.com/send/?")
    f = urllib.request.urlopen(request, data)
    fr = f.read()
    return(fr)

while True:
    if GPIO.input(18) == False:
        resp =  sendSMS('YOUR-API-KEY', '447123456789', 'HOME', 'THE ALARM HAS ACTIVATED')
        print (resp)
        while (GPIO.input(18) == False):
            time.sleep(5)
